
from sqlalchemy.orm import Session
from fuware.repos import RepositoryUsers
from fuware.services._base_service import BaseService
from fuware.schemas import UserCreate


class UserService(BaseService):
  def __init__(self):
    self.repos = RepositoryUsers()

  def get_all(self, skip: int = 0, limit: int = 100):
    return self.repos.get_all(skip=skip, limit=limit)

  def get_by_username(self, username: str):
    return self.repos.get_by_username(username)

  def create(self, db: Session, user: UserCreate):
    return self.repos.create(db=db, user=user)
